<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <title>Update wishlist</title>
    <!--/*/ <th:block th:include="fragments/head :: head"/> /*/-->
</head>
<body>

<form th:method="PATCH" th:action="@{/recipe/{id}(id=${recipe.getId()})}" th:object="${recipe}">
    <label for="name">Name: </label>
    <input type="text" th:field="*{name}" id="name"/>
    <div style="color:red" th:if="${#fields.hasErrors('name')}" th:errors="*{name}">Name Error</div>
    <br/>
    <input type="submit" value="Save"/>
</form>

<div th:if="${recipe.getId()}">
    <form th:method="DELETE" th:action="@{/recipe/{id}(id=${recipe.getId()})}">
        <input type="submit" value="Delete"/>
    </form>
</div>

<hr>
<h3>Recipe details</h3>
<div th:each="recipeDetails : ${recipeDetails}">
    <a th:href="@{/recipedetails/{id}(id=${recipeDetails.getId()})}"
       th:text="${recipeDetails.getProduct().getName() + ' - ' + recipeDetails.getAmount() }">recipeDetails</a>
</div>
<hr/>
<a th:href="@{/recipedetails/new/{id}(id=${recipe.getId()})}">Add details</a>
<br/>
</body>
</html>